package fr.doap.jdb;

import fr.doap.jdb.utils.proxies.*;
import fr.doap.slog.*;
import org.junit.jupiter.api.*;

import java.util.*;

public class ProxyTest {
	
	@Test
	public void test1() {
		List<String> lS = new ArrayList<>(List.of("test 1", "test 2", "test 3"));
		List<String> lProx = ListProxy.getProxy(lS);
		List<String> lProx2 = ListProxy.getProxy(lS);
		L.i("Original #1: {}", lS.get(1));
		L.i("Proxy1 empty: {}", lProx.isEmpty());
		L.i("Proxy1 #1: {}", lProx.get(1));
		L.i("Proxy2 size: {}", lProx2.size());
		L.i("Proxy2 #2: {}", lProx2.get(2));
	}
}
